Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
222.167.0.0
Broadcast address
222.167.255.255
First usable
222.167.0.1
Last usable
222.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
C (default /24)
As numbers
Hex DEA70000 · Integer 3735486464 to 3735551999
Reverse DNS zone
167.222.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.10100111..00000000.00000000222.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11011110.10100111..00000000.00000000222.167.0.0
Broadcast11011110.10100111..11111111.11111111222.167.255.255
Split into smaller subnets/23

222.167.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.167.0.0/23222.167.0.1 to 222.167.1.254222.167.1.255510
2222.167.2.0/23222.167.2.1 to 222.167.3.254222.167.3.255510
3222.167.4.0/23222.167.4.1 to 222.167.5.254222.167.5.255510
4222.167.6.0/23222.167.6.1 to 222.167.7.254222.167.7.255510
5222.167.8.0/23222.167.8.1 to 222.167.9.254222.167.9.255510
6222.167.10.0/23222.167.10.1 to 222.167.11.254222.167.11.255510
7222.167.12.0/23222.167.12.1 to 222.167.13.254222.167.13.255510
8222.167.14.0/23222.167.14.1 to 222.167.15.254222.167.15.255510
9222.167.16.0/23222.167.16.1 to 222.167.17.254222.167.17.255510
10222.167.18.0/23222.167.18.1 to 222.167.19.254222.167.19.255510
11222.167.20.0/23222.167.20.1 to 222.167.21.254222.167.21.255510
12222.167.22.0/23222.167.22.1 to 222.167.23.254222.167.23.255510
13222.167.24.0/23222.167.24.1 to 222.167.25.254222.167.25.255510
14222.167.26.0/23222.167.26.1 to 222.167.27.254222.167.27.255510
15222.167.28.0/23222.167.28.1 to 222.167.29.254222.167.29.255510
16222.167.30.0/23222.167.30.1 to 222.167.31.254222.167.31.255510
17222.167.32.0/23222.167.32.1 to 222.167.33.254222.167.33.255510
18222.167.34.0/23222.167.34.1 to 222.167.35.254222.167.35.255510
19222.167.36.0/23222.167.36.1 to 222.167.37.254222.167.37.255510
20222.167.38.0/23222.167.38.1 to 222.167.39.254222.167.39.255510
21222.167.40.0/23222.167.40.1 to 222.167.41.254222.167.41.255510
22222.167.42.0/23222.167.42.1 to 222.167.43.254222.167.43.255510
23222.167.44.0/23222.167.44.1 to 222.167.45.254222.167.45.255510
24222.167.46.0/23222.167.46.1 to 222.167.47.254222.167.47.255510
25222.167.48.0/23222.167.48.1 to 222.167.49.254222.167.49.255510
26222.167.50.0/23222.167.50.1 to 222.167.51.254222.167.51.255510
27222.167.52.0/23222.167.52.1 to 222.167.53.254222.167.53.255510
28222.167.54.0/23222.167.54.1 to 222.167.55.254222.167.55.255510
29222.167.56.0/23222.167.56.1 to 222.167.57.254222.167.57.255510
30222.167.58.0/23222.167.58.1 to 222.167.59.254222.167.59.255510
31222.167.60.0/23222.167.60.1 to 222.167.61.254222.167.61.255510
32222.167.62.0/23222.167.62.1 to 222.167.63.254222.167.63.255510
33222.167.64.0/23222.167.64.1 to 222.167.65.254222.167.65.255510
34222.167.66.0/23222.167.66.1 to 222.167.67.254222.167.67.255510
35222.167.68.0/23222.167.68.1 to 222.167.69.254222.167.69.255510
36222.167.70.0/23222.167.70.1 to 222.167.71.254222.167.71.255510
37222.167.72.0/23222.167.72.1 to 222.167.73.254222.167.73.255510
38222.167.74.0/23222.167.74.1 to 222.167.75.254222.167.75.255510
39222.167.76.0/23222.167.76.1 to 222.167.77.254222.167.77.255510
40222.167.78.0/23222.167.78.1 to 222.167.79.254222.167.79.255510
41222.167.80.0/23222.167.80.1 to 222.167.81.254222.167.81.255510
42222.167.82.0/23222.167.82.1 to 222.167.83.254222.167.83.255510
43222.167.84.0/23222.167.84.1 to 222.167.85.254222.167.85.255510
44222.167.86.0/23222.167.86.1 to 222.167.87.254222.167.87.255510
45222.167.88.0/23222.167.88.1 to 222.167.89.254222.167.89.255510
46222.167.90.0/23222.167.90.1 to 222.167.91.254222.167.91.255510
47222.167.92.0/23222.167.92.1 to 222.167.93.254222.167.93.255510
48222.167.94.0/23222.167.94.1 to 222.167.95.254222.167.95.255510
49222.167.96.0/23222.167.96.1 to 222.167.97.254222.167.97.255510
50222.167.98.0/23222.167.98.1 to 222.167.99.254222.167.99.255510
51222.167.100.0/23222.167.100.1 to 222.167.101.254222.167.101.255510
52222.167.102.0/23222.167.102.1 to 222.167.103.254222.167.103.255510
53222.167.104.0/23222.167.104.1 to 222.167.105.254222.167.105.255510
54222.167.106.0/23222.167.106.1 to 222.167.107.254222.167.107.255510
55222.167.108.0/23222.167.108.1 to 222.167.109.254222.167.109.255510
56222.167.110.0/23222.167.110.1 to 222.167.111.254222.167.111.255510
57222.167.112.0/23222.167.112.1 to 222.167.113.254222.167.113.255510
58222.167.114.0/23222.167.114.1 to 222.167.115.254222.167.115.255510
59222.167.116.0/23222.167.116.1 to 222.167.117.254222.167.117.255510
60222.167.118.0/23222.167.118.1 to 222.167.119.254222.167.119.255510
61222.167.120.0/23222.167.120.1 to 222.167.121.254222.167.121.255510
62222.167.122.0/23222.167.122.1 to 222.167.123.254222.167.123.255510
63222.167.124.0/23222.167.124.1 to 222.167.125.254222.167.125.255510
64222.167.126.0/23222.167.126.1 to 222.167.127.254222.167.127.255510
65222.167.128.0/23222.167.128.1 to 222.167.129.254222.167.129.255510
66222.167.130.0/23222.167.130.1 to 222.167.131.254222.167.131.255510
67222.167.132.0/23222.167.132.1 to 222.167.133.254222.167.133.255510
68222.167.134.0/23222.167.134.1 to 222.167.135.254222.167.135.255510
69222.167.136.0/23222.167.136.1 to 222.167.137.254222.167.137.255510
70222.167.138.0/23222.167.138.1 to 222.167.139.254222.167.139.255510
71222.167.140.0/23222.167.140.1 to 222.167.141.254222.167.141.255510
72222.167.142.0/23222.167.142.1 to 222.167.143.254222.167.143.255510
73222.167.144.0/23222.167.144.1 to 222.167.145.254222.167.145.255510
74222.167.146.0/23222.167.146.1 to 222.167.147.254222.167.147.255510
75222.167.148.0/23222.167.148.1 to 222.167.149.254222.167.149.255510
76222.167.150.0/23222.167.150.1 to 222.167.151.254222.167.151.255510
77222.167.152.0/23222.167.152.1 to 222.167.153.254222.167.153.255510
78222.167.154.0/23222.167.154.1 to 222.167.155.254222.167.155.255510
79222.167.156.0/23222.167.156.1 to 222.167.157.254222.167.157.255510
80222.167.158.0/23222.167.158.1 to 222.167.159.254222.167.159.255510
81222.167.160.0/23222.167.160.1 to 222.167.161.254222.167.161.255510
82222.167.162.0/23222.167.162.1 to 222.167.163.254222.167.163.255510
83222.167.164.0/23222.167.164.1 to 222.167.165.254222.167.165.255510
84222.167.166.0/23222.167.166.1 to 222.167.167.254222.167.167.255510
85222.167.168.0/23222.167.168.1 to 222.167.169.254222.167.169.255510
86222.167.170.0/23222.167.170.1 to 222.167.171.254222.167.171.255510
87222.167.172.0/23222.167.172.1 to 222.167.173.254222.167.173.255510
88222.167.174.0/23222.167.174.1 to 222.167.175.254222.167.175.255510
89222.167.176.0/23222.167.176.1 to 222.167.177.254222.167.177.255510
90222.167.178.0/23222.167.178.1 to 222.167.179.254222.167.179.255510
91222.167.180.0/23222.167.180.1 to 222.167.181.254222.167.181.255510
92222.167.182.0/23222.167.182.1 to 222.167.183.254222.167.183.255510
93222.167.184.0/23222.167.184.1 to 222.167.185.254222.167.185.255510
94222.167.186.0/23222.167.186.1 to 222.167.187.254222.167.187.255510
95222.167.188.0/23222.167.188.1 to 222.167.189.254222.167.189.255510
96222.167.190.0/23222.167.190.1 to 222.167.191.254222.167.191.255510
97222.167.192.0/23222.167.192.1 to 222.167.193.254222.167.193.255510
98222.167.194.0/23222.167.194.1 to 222.167.195.254222.167.195.255510
99222.167.196.0/23222.167.196.1 to 222.167.197.254222.167.197.255510
100222.167.198.0/23222.167.198.1 to 222.167.199.254222.167.199.255510
101222.167.200.0/23222.167.200.1 to 222.167.201.254222.167.201.255510
102222.167.202.0/23222.167.202.1 to 222.167.203.254222.167.203.255510
103222.167.204.0/23222.167.204.1 to 222.167.205.254222.167.205.255510
104222.167.206.0/23222.167.206.1 to 222.167.207.254222.167.207.255510
105222.167.208.0/23222.167.208.1 to 222.167.209.254222.167.209.255510
106222.167.210.0/23222.167.210.1 to 222.167.211.254222.167.211.255510
107222.167.212.0/23222.167.212.1 to 222.167.213.254222.167.213.255510
108222.167.214.0/23222.167.214.1 to 222.167.215.254222.167.215.255510
109222.167.216.0/23222.167.216.1 to 222.167.217.254222.167.217.255510
110222.167.218.0/23222.167.218.1 to 222.167.219.254222.167.219.255510
111222.167.220.0/23222.167.220.1 to 222.167.221.254222.167.221.255510
112222.167.222.0/23222.167.222.1 to 222.167.223.254222.167.223.255510
113222.167.224.0/23222.167.224.1 to 222.167.225.254222.167.225.255510
114222.167.226.0/23222.167.226.1 to 222.167.227.254222.167.227.255510
115222.167.228.0/23222.167.228.1 to 222.167.229.254222.167.229.255510
116222.167.230.0/23222.167.230.1 to 222.167.231.254222.167.231.255510
117222.167.232.0/23222.167.232.1 to 222.167.233.254222.167.233.255510
118222.167.234.0/23222.167.234.1 to 222.167.235.254222.167.235.255510
119222.167.236.0/23222.167.236.1 to 222.167.237.254222.167.237.255510
120222.167.238.0/23222.167.238.1 to 222.167.239.254222.167.239.255510
121222.167.240.0/23222.167.240.1 to 222.167.241.254222.167.241.255510
122222.167.242.0/23222.167.242.1 to 222.167.243.254222.167.243.255510
123222.167.244.0/23222.167.244.1 to 222.167.245.254222.167.245.255510
124222.167.246.0/23222.167.246.1 to 222.167.247.254222.167.247.255510
125222.167.248.0/23222.167.248.1 to 222.167.249.254222.167.249.255510
126222.167.250.0/23222.167.250.1 to 222.167.251.254222.167.251.255510
127222.167.252.0/23222.167.252.1 to 222.167.253.254222.167.253.255510
128222.167.254.0/23222.167.254.1 to 222.167.255.254222.167.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses